matrix:
  platform:
  - centos7
  - debian10
  - ubuntu2004
  - macos
  - windows
  bazel: ["7.x", "8.x"]
tasks:
  verify_targets:
    name: Verify build targets
    bazel: ${{ bazel }}
    platform: ${{ platform }}
    build_targets:
      - '@jsoncons//:jsoncons'
    # TODO: Reenable after includes for size_t have been added.
    # build_flags:
    #   - --features=parse_headers
    #   - --process_headers_in_dependencies
